package com.mygdx.game;
import com.badlogic.gdx.Game;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.Input;
import com.badlogic.gdx.graphics.GL20;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.TextureAtlas;
import com.badlogic.gdx.graphics.g2d.TextureRegion;

import com.badlogic.gdx.scenes.scene2d.Stage;

import com.mygdx.game.actors.ActorJugador;
import com.mygdx.game.actors.ActorMashina2;
import com.mygdx.game.actors.ActorPinchos;



public class MainGameScreen extends BaseScreen {
    public MainGameScreen (MainGame game) {
        super(game);

        texturePinchos=new Texture("pinchos.png");
        regionPinchos=new TextureRegion(texturePinchos, 0, 64, 128, 64);





    }
    public static Texture backgroundTexture1;
    private Stage stage;
    private ActorJugador jugador;
    private ActorPinchos pinchos;
    private ActorMashina2 mashina2;

    private Texture texturePinchos;
    private TextureRegion regionPinchos;

    private TextureAtlas textureAtlas;
    float tim = 0;


    @Override
    public void show() {
        backgroundTexture1 = new Texture("bg.png");
        stage = new Stage();
        jugador = new ActorJugador(textureAtlas);
        mashina2 = new ActorMashina2(textureAtlas);
        pinchos=new ActorPinchos(regionPinchos);

        stage.addActor(jugador);
        stage.addActor(mashina2);
        stage.addActor(pinchos);


        jugador.setPosition(20,100);
        mashina2.setPosition(850,100);
        pinchos.setPosition(500,100);



    }

    @Override
    public void hide() {

        stage.dispose();

    }

    @Override
    public void render(float delta) {
        Gdx.gl.glClearColor(0.4f, 0.5f, 0.8f, 1f);
        Gdx.gl.glClear(GL20.GL_COLOR_BUFFER_BIT);
        stage.act();
        stage.getBatch().begin();
        stage.getBatch().draw(backgroundTexture1, 0, 0, 800, 480);
        stage.getBatch().end();
        comprobarColisiones();
        stage.draw();


    }

    private void comprobarColisiones(){



        if (Gdx.input.isKeyPressed(Input.Keys.ANY_KEY) || Gdx.input.justTouched()) {
            jugador.remove();


            tim += 1;
            if (tim == 1) {
                mashina2.setPosition(50,100);
            }
            //game.setScreen(game.gameOverScreen);
            if (tim == 2) {
              mashina2.remove();
            }
            if (tim == 3) {
                game.setScreen(game.gameOverScreen);
                tim=0;
            }
        }




        if (jugador.isAlive()&&jugador.getX()>pinchos.getX()){
       // if (jugador.isAlive()&&jugador.getX()+jugador.getWidth()>pinchos.getX()){

            //System.out.println("Colision");
            pinchos.setPosition(800,100);
            //jugador.setAlive(false);
            //game.setScreen(game.gameOverScreen);


        }
    }

    @Override
    public void dispose() {
        texturePinchos.dispose();
        textureAtlas.dispose();
    }
}